/*===========================================
        GRRLIB (GX Version)
        - Template Code -

        Minimum Code To Use GRRLIB
============================================*/


#include "FreeMonoBold_ttf.h"

app_global_data_t* global_data;

int main(int argc, char **argv) {
    global_data=(app_global_data_t*)calloc(1,sizeof(app_global_data_t));
    // Initialise the Graphics & Video subsystem
    GRRLIB_Init();

    global_data->myFont =GRRLIB_LoadTTF(FreeMonoBold_ttf, FreeMonoBold_ttf_size);

    // Initialise the Controllers
    Ctrl_Init();
    

    // Loop forever
    while(1) {
        GRRLIB_SetBackgroundColour(0xff, 0x00, 0x00, 0xFF);
        Ctrl_ScanPads();  // Scan the Controllers

        // If [HOME] was pressed on the first Controller, break out of the loop
        if (Ctrl_ButtonsDown(0) & PAD_BUTTON_START)  break;

        if(Ctrl_ButtonsDown(0) & PAD_BUTTON_A) GRRLIB_PrintfTTF(200,200,global_data->myFont,"A Pressed",12,0xFFFFFFFF);

        // ---------------------------------------------------------------------
        // Place your drawing code here
        // ---------------------------------------------------------------------

        GRRLIB_Render();  // Render the frame buffer to the TV
    }

    GRRLIB_Exit(); // Be a good boy, clear the memory allocated by GRRLIB
    GRRLIB_FreeTTF(global_data->myFont);
    free(global_data);

    exit(0);  // Use exit() to exit a program, do not use 'return' from main()
}